function KA_RaidTracker_OptionsFrame_OnShow()
    KA_RaidTrackerOptionsFrameMinQualitySlider:SetValue(KA_RaidTracker_Options["MinQuality"]);
    KA_RaidTrackerOptionsFrameAskCostSlider:SetValue(KA_RaidTracker_Options["AskCost"]);
    KA_RaidTrackerOptionsFrameGetDKPValueSlider:SetValue(KA_RaidTracker_Options["GetDkpValue"]);
    KA_RaidTrackerOptionsFrameAutoCreateRaidCB:SetChecked(KA_RaidTracker_Options["AutoRaidCreation"]);
    KA_RaidTrackerOptionsFrameLogGroupCB:SetChecked(KA_RaidTracker_Options["LogGroup"]);
    KA_RaidTrackerOptionsFrameAutoGroupCB:SetChecked(KA_RaidTracker_Options["AutoGroup"]);
    KA_RaidTrackerOptionsFrameLogBattlefieldCB:SetChecked(KA_RaidTracker_Options["LogBattlefield"]);
    KA_RaidTrackerOptionsFrameAskWipeCB:SetChecked(KA_RaidTracker_Options["Wipe"]);
    KA_RaidTrackerOptionsFrameAskWipeSlider:SetValue(KA_RaidTracker_Options["WipePercent"]);
    KA_RaidTrackerOptionsFrameAskNextBossCB:SetChecked(KA_RaidTracker_Options["NextBoss"]);
    KA_RaidTrackerOptionsFrameGroupItemsSlider:SetValue(KA_RaidTracker_Options["GroupItems"]);
    KA_RaidTrackerOptionsFrameAutoZoneCB:SetChecked(KA_RaidTracker_Options["AutoZone"]);
    KA_RaidTrackerOptionsFrameSaveExtendedPlayerInfoCB:SetChecked(KA_RaidTracker_Options["SaveExtendedPlayerInfo"]);
    KA_RaidTrackerOptionsFrameSaveTooltipsCB:SetChecked(KA_RaidTracker_Options["SaveTooltips"]);
    KA_RaidTrackerOptionsFrameAutoBossSlider:SetValue(KA_RaidTracker_Options["AutoBoss"]);
    KA_RaidTrackerOptionsFrameLogAttendeesSlider:SetValue(KA_RaidTracker_Options["LogAttendees"]);
    KA_RaidTrackerOptionsFrameTimeSyncCB:SetChecked(KA_RaidTracker_Options["TimeSync"]);
    KA_RaidTrackerOptionsFrameTimeZoneSlider:SetValue(KA_RaidTracker_Options["Timezone"]);
    KA_RaidTrackerOptionsFrameUse24hFormat:SetChecked(KA_RaidTracker_Options["24hFormat"]);
    KA_RaidTrackerOptionsFrameMaxLevelSlider:SetValue(KA_RaidTracker_Options["MaxLevel"]);
    KA_RaidTrackerOptionsFrameGuildSnapshotCB:SetChecked(KA_RaidTracker_Options["GuildSnapshot"]);
    KA_RaidTrackerOptionsFrameExportFormatSlider:SetValue(KA_RaidTracker_Options["ExportFormat"]);
end

function KA_RaidTracker_OptionsFrame_Save()
    KA_RaidTracker_Options["MinQuality"] = KA_RaidTrackerOptionsFrameMinQualitySlider:GetValue();
    KA_RaidTracker_Options["AskCost"] = KA_RaidTrackerOptionsFrameAskCostSlider:GetValue();
    KA_RaidTracker_Options["GetDkpValue"] = KA_RaidTrackerOptionsFrameGetDKPValueSlider:GetValue();
    if(KA_RaidTrackerOptionsFrameAutoCreateRaidCB:GetChecked() == 1) then
        KA_RaidTracker_Options["AutoRaidCreation"] = 1;
    else
        KA_RaidTracker_Options["AutoRaidCreation"] = 0;
    end
    if(KA_RaidTrackerOptionsFrameLogGroupCB:GetChecked() == 1) then
        KA_RaidTracker_Options["LogGroup"] = 1;
    else
        KA_RaidTracker_Options["LogGroup"] = 0;
    end
    if(KA_RaidTrackerOptionsFrameAutoGroupCB:GetChecked() == 1) then
        KA_RaidTracker_Options["AutoGroup"] = 1;
    else
        KA_RaidTracker_Options["AutoGroup"] = 0;
    end
    if(KA_RaidTrackerOptionsFrameLogBattlefieldCB:GetChecked() == 1) then
        KA_RaidTracker_Options["LogBattlefield"] = 1;
    else
        KA_RaidTracker_Options["LogBattlefield"] = 0;
    end
    if(KA_RaidTrackerOptionsFrameAskWipeCB:GetChecked() == 1) then
        KA_RaidTracker_Options["Wipe"] = 1;
    else
        KA_RaidTracker_Options["Wipe"] = 0;
    end
    KA_RaidTracker_Options["WipePercent"] = KA_RaidTrackerOptionsFrameAskWipeSlider:GetValue();
    if(KA_RaidTrackerOptionsFrameAskNextBossCB:GetChecked() == 1) then
        KA_RaidTracker_Options["NextBoss"] = 1;
    else
        KA_RaidTracker_Options["NextBoss"] = 0;
    end
    KA_RaidTracker_Options["GroupItems"] = KA_RaidTrackerOptionsFrameGroupItemsSlider:GetValue();
    if(KA_RaidTrackerOptionsFrameAutoZoneCB:GetChecked() == 1) then
        KA_RaidTracker_Options["AutoZone"] = 1;
    else
        KA_RaidTracker_Options["AutoZone"] = 0;
    end
    if(KA_RaidTrackerOptionsFrameSaveExtendedPlayerInfoCB:GetChecked() == 1) then
        KA_RaidTracker_Options["SaveExtendedPlayerInfo"] = 1;
    else
        KA_RaidTracker_Options["SaveExtendedPlayerInfo"] = 0;
    end
    if(KA_RaidTrackerOptionsFrameSaveTooltipsCB:GetChecked() == 1) then
        KA_RaidTracker_Options["SaveTooltips"] = 1;
    else
        KA_RaidTracker_Options["SaveTooltips"] = 0;
    end
    KA_RaidTracker_Options["AutoBoss"] = KA_RaidTrackerOptionsFrameAutoBossSlider:GetValue();
    KA_RaidTracker_Options["LogAttendees"] = KA_RaidTrackerOptionsFrameLogAttendeesSlider:GetValue();
    if(KA_RaidTrackerOptionsFrameTimeSyncCB:GetChecked() == 1) then
        KA_RaidTracker_Options["TimeSync"] = 1;
    else
        KA_RaidTracker_Options["TimeSync"] = 0;
    end
    if(KA_RaidTrackerOptionsFrameUse24hFormat:GetChecked() == 1) then
        KA_RaidTracker_Options["24hFormat"] = 1;
    else
        KA_RaidTracker_Options["24hFormat"] = 0;
    end
    KA_RaidTracker_Options["Timezone"] = KA_RaidTrackerOptionsFrameTimeZoneSlider:GetValue();
    KA_RaidTracker_GetGameTimeOffset();
    KA_RaidTracker_Options["MaxLevel"] = KA_RaidTrackerOptionsFrameMaxLevelSlider:GetValue();
    if(KA_RaidTrackerOptionsFrameGuildSnapshotCB:GetChecked() == 1) then
        KA_RaidTracker_Options["GuildSnapshot"] = 1;
    else
        KA_RaidTracker_Options["GuildSnapshot"] = 0;
    end
    KA_RaidTracker_Options["ExportFormat"] = KA_RaidTrackerOptionsFrameExportFormatSlider:GetValue();
end